%define	name	guile-oops
%define version	0.9.0
%define release	1mdk

Summary:	Guile Object Oriented Programming System.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Copyright:	GPL
Group:		Development/Other
Url:		ftp://ftp.gnu.org/pub/gnu/guile/
Source:		%{name}-%{version}.tar.bz2
Buildroot:	%{_tmppath}/%{name}-buildroot
Prereq:		/sbin/install-info
Requires:	guile >= 1.3.3

%description
GOOPS is the object oriented extention to Guile. Its implementation is
derived from STk-3.99.3 by Erick Gallesio and version 1.3 of the
Gregor Kickzales Tiny-Clos.  It is very close to CLOS, the Common Lisp
Object System but is adapted for the Scheme language.

Briefly stated, the GOOPS extension gives the user a full object
oriented system with multiple inheritance and generic functions with
multi-method dispatch.  Furthermore, the whole implementation relies
on a true meta object protocol, in the spirit of the one defined for
CLOS (Gregor Kiczales: A Metaobject Protocol).

%package	devel
Summary:	The libraries and header files for the GOOPS
Group:		System/Libraries
Requires:	%{name} = %{version}

%description	devel
The guile-oops-devel package includes the libraries, header files, etc., that
you'll need to develop applications that are linked with the GOOPS

You need to install the guile-devel package if you want to develop
applications that will be linked to GOOPS.  You'll also need to install
the guile package.

%prep
rm -rf $RPM_BUILD_ROOT

%setup -q

%build

%configure

make

%install

%makeinstall

pushd $RPM_BUILD_ROOT
chmod +x .%{_prefix}/lib/libgoopscore.so.*.0.0
ln -sf ../../../../lib/libgoopscore.la .%{_prefix}/share/guile/oop/goops
ln -sf ../../../../lib/libgoopscore.so.2 .%{_prefix}/share/guile/oop/goops
popd

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%post devel
/sbin/install-info /usr/share/info/goops.info.gz /usr/share/info/dir

%preun devel
/sbin/install-info --delete /usr/share/info/goops.info.gz /usr/share/info/dir

%files
%defattr(-,root,root)
%doc ANON-CVS AUTHORS COPYING COPYRIGHTS ChangeLog HACKING INSTALL NEWS README SNAPSHOTS THANKS TODO
%{_libdir}/libgoopscore.so.*
%{_datadir}/guile/oop/goops
%{_datadir}/guile/oop/goops.scm

%files devel
%defattr(-,root,root)
%{_bindir}/guile-oops
%{_libdir}/lib*so
%{_libdir}/lib*a
%{_includedir}/goops
%{_includedir}/goops-snarf.h
%{_includedir}/goops.h
%{_infodir}/goops*

%changelog
* Thu Jan 11 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.9.0-1mdk
- updated to 0.9.0

* Tue Sep 05 2000  Lenny Cartier <lenny@mandrakesoft.com> 0.1.8-1mdk
- BM
- macros

* Thu Apr 27 2000 Lenny Cartier <lenny@mandrakesoft.com> 0.1.6-2mdk
- fix infopages

* Tue Mar 14 2000 Daouda LO <daouda@mandrakesoft.com> 0.1.6-1mdk
- adjust to new groups
- Mandrake first spec 

* Mon Dec 20 1999 Ryan Weaver <ryanw@infohwy.com>
  [guile-oops-0.1.6-1]
- Updated to version 0.1.6. See ChangeLog and NEWS for details.

* Wed Aug 25 1999 Ryan Weaver <ryanw@infohwy.com>
  [guile-oops-0.1.2-1]
- Initial RPM Build

